.ShippingCart {
    margin-top: 30px;
}

.ShippingCart .order_wrapper_holder {
    height: 100vh;
    overflow: hidden;
    overflow-y: auto;
}

.ShippingCart .order_wrapper {
    display: flex;
    align-items: center;
    gap: 15px;
}

.ShippingCart .top_bar {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.ShippingCart .top_bar .items_cart {
    font-size: 18px;
    font-weight: 600;
    color: #000000;
    margin: 0;
}

.ShippingCart .top_bar .clear_cart {
    font-size: 14px;
    font-weight: 500;
    color: #2e2e2e;
    text-decoration: underline;
    cursor: pointer;
}

.ShippingCart .top_bar .clear_cart:hover {
    color: #fb0000;
}

.ShippingCart .top_bar .delete_cart {
    display: flex;
    align-items: center;
    gap: 5px;
    color: #FB0000;
    font-weight: 500;
    text-decoration: underline;
}

.ShippingCart .top_bar .delete_cart .icon-wrapper {
    position: relative;
    font-size: 25px;
}

.ShippingCart .top_bar .delete_cart .icon-wrapper:after {
    content: "";
    position: absolute;
    background: red;
    width: 10px;
    height: 10px;
    border-radius: 50px;
    top: 4px;
    right: 4px;
}

.ShippingCart .order_card {
    /* display: flex; */
    background: #ffffff 0% 0% no-repeat padding-box;
    box-shadow: 0px 2px 4px #00000029;
    border-radius: 2px;
    padding: 12px;
    margin-top: 20px;
}

.ShippingCart .order_card .order_img_div {
    aspect-ratio: 1/1.5;
}

.ShippingCart .order_card .order_img_div .order_img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.ShippingCart .order_card .order_content {
    flex: 1;
}

.order_top {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.order_top h3 {
    font-size: 18px;
    color: #bb0000;
    font-weight: 600;
    margin: 0;
}

.order_actions {
    display: flex;
    align-items: center;
    gap: 12px;
}

.order_actions .details {
    color: #bb0000;
    font-size: 14px;
    text-decoration: underline;
    margin: 0;
    font-weight: 600;
    cursor: pointer;
}


.order_div {
    display: flex;
    gap: 20px;
}

.order_info {
    margin: 10px 0;
    border-bottom: 1px dashed #000;
}

.order_info .fabric_req {
    margin: 2px 0;
    width: 173px;
}

.order_info .fabric_item {
    margin: 2px 0;
    font-size: 14px;
    color: #000;
    font-weight: 600;
}

.price_label {
    font-size: 14px;
    margin-bottom: 6px;
}

.price_boxes {
    display: flex;
    overflow: hidden;
    border-radius: 4px;
}

.price_boxes .price_box {
    flex: 1 1;
    padding: 10px 14px;
    background: #f5f5f5;
    border-right: 1px solid #ccc;
    display: flex;
    flex-direction: column;
}

.price_box:last-child {
    border-right: none;
}

.price_box .base {
    display: block;
    font-size: 13px;
    color: #000000;
}

.price_box .baseprice {
    display: block;
    margin-top: 4px;
    font-size: 16px;
    font-weight: 600;
    color: #000000;
}

.warning {
    margin-top: 10px;
    font-size: 13px;
    font-weight: 600;
    color: #535353;
    display: flex;
    align-items: center;
    gap: 6px;
}


@media (min-width: 0px) and (max-width: 575.98px) {

    .ShippingCart .top_bar,
    .order_top {
        flex-direction: column;
        align-items: normal;
    }

    .order_actions {
        justify-content: space-between;
    }

    .order_info .fabric_item {
        font-size: 13px;
    }

    .ShippingCart .top_bar .items_cart {
        font-size: 15px;
    }

    .ShippingCart .top_bar .clear_cart {
        font-size: 13px;
    }

    .ShippingCart .order_card .order_img_div {
        margin: 0 auto 10px;
        width: 250px;
        aspect-ratio: 1/1;
    }

    .price_boxes .price_box {
        justify-content: space-between;
    }

    .order_info .fabric_req {
        font-size: 13px;
        width: 100px;
    }

    .order_div {
        align-items: center;
    }

    .price_box .baseprice {
        font-size: 15px;
    }
}

@media (min-width: 576px) and (max-width: 767px) {
    .ShippingCart .order_card .order_img_div {
        margin: 0 auto 10px;
        width: 250px;
        aspect-ratio: 1/1;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    .ShippingCart .order_wrapper_holder {
        height: auto;
    }

    .ShippingCart .order_card {
        margin: 20px 0;
    }
}